
public class Class86_Sub2 extends Class86 {

   int anInt9549;
   int anInt9550;
   int anInt9551;
   int anInt9552;
   int anInt9553;
   int anInt9554;
   int[] anIntArray9555;
   boolean aBool9556;


   public void method1696(int var1) {
      int var2 = this.method1700();
      int var3 = this.method1699();
      if(this.anInt9551 != var2 || this.anInt9550 != var3) {
         int var4 = var1;
         if(var1 > this.anInt9549) {
            var4 = this.anInt9549;
         }

         int var5 = var1;
         if(var1 + this.anInt9549 + this.anInt9551 > var2) {
            var5 = var2 - this.anInt9549 - this.anInt9551;
         }

         int var6 = var1;
         if(var1 > this.anInt9553) {
            var6 = this.anInt9553;
         }

         int var7 = var1;
         if(var1 + this.anInt9553 + this.anInt9550 > var3) {
            var7 = var3 - this.anInt9553 - this.anInt9550;
         }

         int var8 = this.anInt9551 + var4 + var5;
         int var9 = this.anInt9550 + var6 + var7;
         int[] var10 = new int[var8 * var9];

         for(int var11 = 0; var11 < this.anInt9550; ++var11) {
            int var12 = var11 * this.anInt9551;
            int var13 = (var11 + var6) * var8 + var4;

            for(int var14 = 0; var14 < this.anInt9551; ++var14) {
               var10[var13++] = this.anIntArray9555[var12++];
            }
         }

         this.anInt9549 -= var4;
         this.anInt9553 -= var6;
         this.anInt9552 -= var5;
         this.anInt9554 -= var7;
         this.anInt9551 = var8;
         this.anInt9550 = var9;
         this.anIntArray9555 = var10;
      }
   }

   public boolean method1689() {
      return false;
   }

   public boolean method1690() {
      return this.aBool9556;
   }

   public int method1691() {
      return this.anInt9551;
   }

   public int method1704() {
      return this.anInt9550;
   }

   public int method1700() {
      return this.anInt9551 + this.anInt9549 + this.anInt9552;
   }

   public int method1699() {
      return this.anInt9550 + this.anInt9553 + this.anInt9554;
   }

   public int method1693() {
      return this.anInt9549;
   }

   public int method1694() {
      return this.anInt9552;
   }

   public int method1735() {
      return this.anInt9553;
   }

   public int method1692() {
      return this.anInt9554;
   }

   public int method1723() {
      return this.anInt9552;
   }

   public int method1726() {
      return this.anInt9553;
   }

   public void method1701(int var1) {
      int var2 = 0;
      int[] var3 = new int[this.anInt9551 * this.anInt9550];

      for(int var4 = 0; var4 < this.anInt9550; ++var4) {
         for(int var5 = 0; var5 < this.anInt9551; ++var5) {
            int var6 = this.anIntArray9555[var2];
            if((var6 & -16777216) == 0) {
               if(var5 > 0 && (this.anIntArray9555[var2 - 1] & -16777216) != 0) {
                  var6 = var1;
               } else if(var4 > 0 && (this.anIntArray9555[var2 - this.anInt9551] & -16777216) != 0) {
                  var6 = var1;
               } else if(var5 < this.anInt9551 - 1 && (this.anIntArray9555[var2 + 1] & -16777216) != 0) {
                  var6 = var1;
               } else if(var4 < this.anInt9550 - 1 && (this.anIntArray9555[var2 + this.anInt9551] & -16777216) != 0) {
                  var6 = var1;
               }
            }

            var3[var2++] = var6;
         }
      }

      this.anIntArray9555 = var3;
   }

   public void method1702(int var1) {
      for(int var2 = this.anInt9550 - 1; var2 > 0; --var2) {
         int var3 = var2 * this.anInt9551;

         for(int var4 = this.anInt9551 - 1; var4 > 0; --var4) {
            if((this.anIntArray9555[var4 + var3] & -16777216) == 0 && (this.anIntArray9555[var4 + var3 - 1 - this.anInt9551] & -16777216) != 0) {
               this.anIntArray9555[var4 + var3] = var1;
            }
         }
      }

   }

   public void method1703() {
      int[] var1 = this.anIntArray9555;

      int var2;
      for(var2 = this.anInt9550 - 1; var2 >= 0; --var2) {
         int var3 = var2 * this.anInt9551;

         for(int var4 = (var2 + 1) * this.anInt9551; var3 < var4; ++var3) {
            --var4;
            int var5 = var1[var3];
            var1[var3] = var1[var4];
            var1[var4] = var5;
         }
      }

      var2 = this.anInt9549;
      this.anInt9549 = this.anInt9552;
      this.anInt9552 = var2;
   }

   public void method1697() {
      int[] var1 = this.anIntArray9555;

      int var2;
      for(var2 = (this.anInt9550 >> 1) - 1; var2 >= 0; --var2) {
         int var3 = var2 * this.anInt9551;
         int var4 = (this.anInt9550 - var2 - 1) * this.anInt9551;

         for(int var5 = -this.anInt9551; var5 < 0; ++var5) {
            int var6 = var1[var3];
            var1[var3] = var1[var4];
            var1[var4] = var6;
            ++var3;
            ++var4;
         }
      }

      var2 = this.anInt9553;
      this.anInt9553 = this.anInt9554;
      this.anInt9554 = var2;
   }

   public void method1705() {
      int[] var1 = new int[this.anInt9551 * this.anInt9550];
      int var2 = 0;

      int var3;
      for(var3 = 0; var3 < this.anInt9551; ++var3) {
         for(int var4 = this.anInt9550 - 1; var4 >= 0; --var4) {
            var1[var2++] = this.anIntArray9555[var3 + var4 * this.anInt9551];
         }
      }

      this.anIntArray9555 = var1;
      var3 = this.anInt9553;
      this.anInt9553 = this.anInt9549;
      this.anInt9549 = this.anInt9554;
      this.anInt9554 = this.anInt9552;
      this.anInt9552 = this.anInt9553;
      var3 = this.anInt9550;
      this.anInt9550 = this.anInt9551;
      this.anInt9551 = var3;
   }

   public int[] method1709(boolean var1) {
      if(var1 && (this.method1700() != this.anInt9551 || this.method1699() != this.anInt9550)) {
         int var2 = this.method1700();
         int[] var3 = new int[var2 * this.method1699()];

         for(int var4 = 0; var4 < this.anInt9550; ++var4) {
            int var5 = var4 * this.anInt9551;
            int var6 = this.anInt9549 + (var4 + this.anInt9553) * var2;

            for(int var7 = 0; var7 < this.anInt9551; ++var7) {
               var3[var6++] = this.anIntArray9555[var5];
               ++var5;
            }
         }

         return var3;
      } else {
         return this.anIntArray9555;
      }
   }

   public int method1719() {
      return this.anInt9550;
   }

   public int method1708(int var1, int var2) {
      return this.anIntArray9555[var1 + var2 * this.anInt9551];
   }

   public boolean method1747() {
      return false;
   }

   public void method1698(int var1) {
      int var2 = 0;
      int[] var3 = new int[this.anInt9551 * this.anInt9550];

      for(int var4 = 0; var4 < this.anInt9550; ++var4) {
         for(int var5 = 0; var5 < this.anInt9551; ++var5) {
            int var6 = this.anIntArray9555[var2];
            if((var6 & -16777216) == 0) {
               if(var5 > 0 && (this.anIntArray9555[var2 - 1] & -16777216) != 0) {
                  var6 = var1;
               } else if(var4 > 0 && (this.anIntArray9555[var2 - this.anInt9551] & -16777216) != 0) {
                  var6 = var1;
               } else if(var5 < this.anInt9551 - 1 && (this.anIntArray9555[var2 + 1] & -16777216) != 0) {
                  var6 = var1;
               } else if(var4 < this.anInt9550 - 1 && (this.anIntArray9555[var2 + this.anInt9551] & -16777216) != 0) {
                  var6 = var1;
               }
            }

            var3[var2++] = var6;
         }
      }

      this.anIntArray9555 = var3;
   }

   public boolean method1724() {
      return this.aBool9556;
   }

   public boolean method1746() {
      return this.aBool9556;
   }

   public void method1757() {
      int[] var1 = this.anIntArray9555;

      int var2;
      for(var2 = (this.anInt9550 >> 1) - 1; var2 >= 0; --var2) {
         int var3 = var2 * this.anInt9551;
         int var4 = (this.anInt9550 - var2 - 1) * this.anInt9551;

         for(int var5 = -this.anInt9551; var5 < 0; ++var5) {
            int var6 = var1[var3];
            var1[var3] = var1[var4];
            var1[var4] = var6;
            ++var3;
            ++var4;
         }
      }

      var2 = this.anInt9553;
      this.anInt9553 = this.anInt9554;
      this.anInt9554 = var2;
   }

   public int method1741() {
      return this.anInt9551;
   }

   public int method1714() {
      return this.anInt9551;
   }

   public void method1758() {
      int[] var1 = new int[this.anInt9551 * this.anInt9550];
      int var2 = 0;

      int var3;
      for(var3 = 0; var3 < this.anInt9551; ++var3) {
         for(int var4 = this.anInt9550 - 1; var4 >= 0; --var4) {
            var1[var2++] = this.anIntArray9555[var3 + var4 * this.anInt9551];
         }
      }

      this.anIntArray9555 = var1;
      var3 = this.anInt9553;
      this.anInt9553 = this.anInt9549;
      this.anInt9549 = this.anInt9554;
      this.anInt9554 = this.anInt9552;
      this.anInt9552 = this.anInt9553;
      var3 = this.anInt9550;
      this.anInt9550 = this.anInt9551;
      this.anInt9551 = var3;
   }

   public int method1717() {
      return this.anInt9550;
   }

   public int method1718() {
      return this.anInt9550;
   }

   public int method1721() {
      return this.anInt9549;
   }

   public int method1728() {
      return this.anInt9554;
   }

   public int method1716() {
      return this.anInt9551;
   }

   public int method1722() {
      return this.anInt9549;
   }

   public void method1711(int var1, int var2, int var3) {
      for(int var4 = 1; var4 < this.anIntArray9555.length; ++var4) {
         int var5 = this.anIntArray9555[var4] >> 16 & 255;
         var5 += var1;
         if(var5 < 0) {
            var5 = 0;
         } else if(var5 > 255) {
            var5 = 255;
         }

         int var6 = this.anIntArray9555[var4] >> 8 & 255;
         var6 += var2;
         if(var6 < 0) {
            var6 = 0;
         } else if(var6 > 255) {
            var6 = 255;
         }

         int var7 = this.anIntArray9555[var4] >> 0 & 255;
         var7 += var3;
         if(var7 < 0) {
            var7 = 0;
         } else if(var7 > 255) {
            var7 = 255;
         }

         this.anIntArray9555[var4] = this.anIntArray9555[var4] & -16777216 | var5 << 16 | var6 << 8 | var7;
      }

   }

   public int method1736() {
      return this.anInt9552;
   }

   Class86_Sub2(int var1, int var2, int[] var3) {
      this.anInt9551 = var1;
      this.anInt9550 = var2;
      this.anIntArray9555 = var3;
   }

   public void method1707(int var1, int var2, int var3) {
      for(int var4 = 1; var4 < this.anIntArray9555.length; ++var4) {
         int var5 = this.anIntArray9555[var4] >> 16 & 255;
         var5 += var1;
         if(var5 < 0) {
            var5 = 0;
         } else if(var5 > 255) {
            var5 = 255;
         }

         int var6 = this.anIntArray9555[var4] >> 8 & 255;
         var6 += var2;
         if(var6 < 0) {
            var6 = 0;
         } else if(var6 > 255) {
            var6 = 255;
         }

         int var7 = this.anIntArray9555[var4] >> 0 & 255;
         var7 += var3;
         if(var7 < 0) {
            var7 = 0;
         } else if(var7 > 255) {
            var7 = 255;
         }

         this.anIntArray9555[var4] = this.anIntArray9555[var4] & -16777216 | var5 << 16 | var6 << 8 | var7;
      }

   }

   public int method1727() {
      return this.anInt9553;
   }

   public boolean method1710() {
      return this.aBool9556;
   }

   public int method1729() {
      return this.anInt9554;
   }

   public void method1750() {
      this.anInt9554 = 0;
      this.anInt9553 = 0;
      this.anInt9552 = 0;
      this.anInt9549 = 0;
   }

   public void method1733(int var1) {
      int var2 = this.method1700();
      int var3 = this.method1699();
      if(this.anInt9551 != var2 || this.anInt9550 != var3) {
         int var4 = var1;
         if(var1 > this.anInt9549) {
            var4 = this.anInt9549;
         }

         int var5 = var1;
         if(var1 + this.anInt9549 + this.anInt9551 > var2) {
            var5 = var2 - this.anInt9549 - this.anInt9551;
         }

         int var6 = var1;
         if(var1 > this.anInt9553) {
            var6 = this.anInt9553;
         }

         int var7 = var1;
         if(var1 + this.anInt9553 + this.anInt9550 > var3) {
            var7 = var3 - this.anInt9553 - this.anInt9550;
         }

         int var8 = this.anInt9551 + var4 + var5;
         int var9 = this.anInt9550 + var6 + var7;
         int[] var10 = new int[var8 * var9];

         for(int var11 = 0; var11 < this.anInt9550; ++var11) {
            int var12 = var11 * this.anInt9551;
            int var13 = (var11 + var6) * var8 + var4;

            for(int var14 = 0; var14 < this.anInt9551; ++var14) {
               var10[var13++] = this.anIntArray9555[var12++];
            }
         }

         this.anInt9549 -= var4;
         this.anInt9553 -= var6;
         this.anInt9552 -= var5;
         this.anInt9554 -= var7;
         this.anInt9551 = var8;
         this.anInt9550 = var9;
         this.anIntArray9555 = var10;
      }
   }

   public void method1739(int var1) {
      for(int var2 = this.anInt9550 - 1; var2 > 0; --var2) {
         int var3 = var2 * this.anInt9551;

         for(int var4 = this.anInt9551 - 1; var4 > 0; --var4) {
            if((this.anIntArray9555[var4 + var3] & -16777216) == 0 && (this.anIntArray9555[var4 + var3 - 1 - this.anInt9551] & -16777216) != 0) {
               this.anIntArray9555[var4 + var3] = var1;
            }
         }
      }

   }

   public void method1740() {
      int[] var1 = this.anIntArray9555;

      int var2;
      for(var2 = this.anInt9550 - 1; var2 >= 0; --var2) {
         int var3 = var2 * this.anInt9551;

         for(int var4 = (var2 + 1) * this.anInt9551; var3 < var4; ++var3) {
            --var4;
            int var5 = var1[var3];
            var1[var3] = var1[var4];
            var1[var4] = var5;
         }
      }

      var2 = this.anInt9549;
      this.anInt9549 = this.anInt9552;
      this.anInt9552 = var2;
   }

   public void method1732(int var1) {
      int var2 = this.method1700();
      int var3 = this.method1699();
      if(this.anInt9551 != var2 || this.anInt9550 != var3) {
         int var4 = var1;
         if(var1 > this.anInt9549) {
            var4 = this.anInt9549;
         }

         int var5 = var1;
         if(var1 + this.anInt9549 + this.anInt9551 > var2) {
            var5 = var2 - this.anInt9549 - this.anInt9551;
         }

         int var6 = var1;
         if(var1 > this.anInt9553) {
            var6 = this.anInt9553;
         }

         int var7 = var1;
         if(var1 + this.anInt9553 + this.anInt9550 > var3) {
            var7 = var3 - this.anInt9553 - this.anInt9550;
         }

         int var8 = this.anInt9551 + var4 + var5;
         int var9 = this.anInt9550 + var6 + var7;
         int[] var10 = new int[var8 * var9];

         for(int var11 = 0; var11 < this.anInt9550; ++var11) {
            int var12 = var11 * this.anInt9551;
            int var13 = (var11 + var6) * var8 + var4;

            for(int var14 = 0; var14 < this.anInt9551; ++var14) {
               var10[var13++] = this.anIntArray9555[var12++];
            }
         }

         this.anInt9549 -= var4;
         this.anInt9553 -= var6;
         this.anInt9552 -= var5;
         this.anInt9554 -= var7;
         this.anInt9551 = var8;
         this.anInt9550 = var9;
         this.anIntArray9555 = var10;
      }
   }

   public void method1742(int var1) {
      for(int var2 = this.anInt9550 - 1; var2 > 0; --var2) {
         int var3 = var2 * this.anInt9551;

         for(int var4 = this.anInt9551 - 1; var4 > 0; --var4) {
            if((this.anIntArray9555[var4 + var3] & -16777216) == 0 && (this.anIntArray9555[var4 + var3 - 1 - this.anInt9551] & -16777216) != 0) {
               this.anIntArray9555[var4 + var3] = var1;
            }
         }
      }

   }

   public void method1715(int var1) {
      for(int var2 = this.anInt9550 - 1; var2 > 0; --var2) {
         int var3 = var2 * this.anInt9551;

         for(int var4 = this.anInt9551 - 1; var4 > 0; --var4) {
            if((this.anIntArray9555[var4 + var3] & -16777216) == 0 && (this.anIntArray9555[var4 + var3 - 1 - this.anInt9551] & -16777216) != 0) {
               this.anIntArray9555[var4 + var3] = var1;
            }
         }
      }

   }

   public void method1688(int var1) {
      int var2 = this.method1700();
      int var3 = this.method1699();
      if(this.anInt9551 != var2 || this.anInt9550 != var3) {
         int var4 = var1;
         if(var1 > this.anInt9549) {
            var4 = this.anInt9549;
         }

         int var5 = var1;
         if(var1 + this.anInt9549 + this.anInt9551 > var2) {
            var5 = var2 - this.anInt9549 - this.anInt9551;
         }

         int var6 = var1;
         if(var1 > this.anInt9553) {
            var6 = this.anInt9553;
         }

         int var7 = var1;
         if(var1 + this.anInt9553 + this.anInt9550 > var3) {
            var7 = var3 - this.anInt9553 - this.anInt9550;
         }

         int var8 = this.anInt9551 + var4 + var5;
         int var9 = this.anInt9550 + var6 + var7;
         int[] var10 = new int[var8 * var9];

         for(int var11 = 0; var11 < this.anInt9550; ++var11) {
            int var12 = var11 * this.anInt9551;
            int var13 = (var11 + var6) * var8 + var4;

            for(int var14 = 0; var14 < this.anInt9551; ++var14) {
               var10[var13++] = this.anIntArray9555[var12++];
            }
         }

         this.anInt9549 -= var4;
         this.anInt9553 -= var6;
         this.anInt9552 -= var5;
         this.anInt9554 -= var7;
         this.anInt9551 = var8;
         this.anInt9550 = var9;
         this.anIntArray9555 = var10;
      }
   }

   public void method1738(int var1) {
      for(int var2 = this.anInt9550 - 1; var2 > 0; --var2) {
         int var3 = var2 * this.anInt9551;

         for(int var4 = this.anInt9551 - 1; var4 > 0; --var4) {
            if((this.anIntArray9555[var4 + var3] & -16777216) == 0 && (this.anIntArray9555[var4 + var3 - 1 - this.anInt9551] & -16777216) != 0) {
               this.anIntArray9555[var4 + var3] = var1;
            }
         }
      }

   }

   public void method1734(int var1) {
      int var2 = this.method1700();
      int var3 = this.method1699();
      if(this.anInt9551 != var2 || this.anInt9550 != var3) {
         int var4 = var1;
         if(var1 > this.anInt9549) {
            var4 = this.anInt9549;
         }

         int var5 = var1;
         if(var1 + this.anInt9549 + this.anInt9551 > var2) {
            var5 = var2 - this.anInt9549 - this.anInt9551;
         }

         int var6 = var1;
         if(var1 > this.anInt9553) {
            var6 = this.anInt9553;
         }

         int var7 = var1;
         if(var1 + this.anInt9553 + this.anInt9550 > var3) {
            var7 = var3 - this.anInt9553 - this.anInt9550;
         }

         int var8 = this.anInt9551 + var4 + var5;
         int var9 = this.anInt9550 + var6 + var7;
         int[] var10 = new int[var8 * var9];

         for(int var11 = 0; var11 < this.anInt9550; ++var11) {
            int var12 = var11 * this.anInt9551;
            int var13 = (var11 + var6) * var8 + var4;

            for(int var14 = 0; var14 < this.anInt9551; ++var14) {
               var10[var13++] = this.anIntArray9555[var12++];
            }
         }

         this.anInt9549 -= var4;
         this.anInt9553 -= var6;
         this.anInt9552 -= var5;
         this.anInt9554 -= var7;
         this.anInt9551 = var8;
         this.anInt9550 = var9;
         this.anIntArray9555 = var10;
      }
   }

   public void method1756(int var1) {
      int var2 = 0;
      int[] var3 = new int[this.anInt9551 * this.anInt9550];

      for(int var4 = 0; var4 < this.anInt9550; ++var4) {
         for(int var5 = 0; var5 < this.anInt9551; ++var5) {
            int var6 = this.anIntArray9555[var2];
            if((var6 & -16777216) == 0) {
               if(var5 > 0 && (this.anIntArray9555[var2 - 1] & -16777216) != 0) {
                  var6 = var1;
               } else if(var4 > 0 && (this.anIntArray9555[var2 - this.anInt9551] & -16777216) != 0) {
                  var6 = var1;
               } else if(var5 < this.anInt9551 - 1 && (this.anIntArray9555[var2 + 1] & -16777216) != 0) {
                  var6 = var1;
               } else if(var4 < this.anInt9550 - 1 && (this.anIntArray9555[var2 + this.anInt9551] & -16777216) != 0) {
                  var6 = var1;
               }
            }

            var3[var2++] = var6;
         }
      }

      this.anIntArray9555 = var3;
   }

   public int method1725() {
      return this.anInt9553;
   }

   public void method1706() {
      int[] var1 = this.anIntArray9555;

      int var2;
      for(var2 = this.anInt9550 - 1; var2 >= 0; --var2) {
         int var3 = var2 * this.anInt9551;

         for(int var4 = (var2 + 1) * this.anInt9551; var3 < var4; ++var3) {
            --var4;
            int var5 = var1[var3];
            var1[var3] = var1[var4];
            var1[var4] = var5;
         }
      }

      var2 = this.anInt9549;
      this.anInt9549 = this.anInt9552;
      this.anInt9552 = var2;
   }

   public void method1720() {
      int[] var1 = this.anIntArray9555;

      int var2;
      for(var2 = this.anInt9550 - 1; var2 >= 0; --var2) {
         int var3 = var2 * this.anInt9551;

         for(int var4 = (var2 + 1) * this.anInt9551; var3 < var4; ++var3) {
            --var4;
            int var5 = var1[var3];
            var1[var3] = var1[var4];
            var1[var4] = var5;
         }
      }

      var2 = this.anInt9549;
      this.anInt9549 = this.anInt9552;
      this.anInt9552 = var2;
   }

   public void method1743() {
      int[] var1 = new int[this.anInt9551 * this.anInt9550];
      int var2 = 0;

      int var3;
      for(var3 = 0; var3 < this.anInt9551; ++var3) {
         for(int var4 = this.anInt9550 - 1; var4 >= 0; --var4) {
            var1[var2++] = this.anIntArray9555[var3 + var4 * this.anInt9551];
         }
      }

      this.anIntArray9555 = var1;
      var3 = this.anInt9553;
      this.anInt9553 = this.anInt9549;
      this.anInt9549 = this.anInt9554;
      this.anInt9554 = this.anInt9552;
      this.anInt9552 = this.anInt9553;
      var3 = this.anInt9550;
      this.anInt9550 = this.anInt9551;
      this.anInt9551 = var3;
   }

   public int[] method1744(boolean var1) {
      if(var1 && (this.method1700() != this.anInt9551 || this.method1699() != this.anInt9550)) {
         int var2 = this.method1700();
         int[] var3 = new int[var2 * this.method1699()];

         for(int var4 = 0; var4 < this.anInt9550; ++var4) {
            int var5 = var4 * this.anInt9551;
            int var6 = this.anInt9549 + (var4 + this.anInt9553) * var2;

            for(int var7 = 0; var7 < this.anInt9551; ++var7) {
               var3[var6++] = this.anIntArray9555[var5];
               ++var5;
            }
         }

         return var3;
      } else {
         return this.anIntArray9555;
      }
   }

   public int[] method1745(boolean var1) {
      if(var1 && (this.method1700() != this.anInt9551 || this.method1699() != this.anInt9550)) {
         int var2 = this.method1700();
         int[] var3 = new int[var2 * this.method1699()];

         for(int var4 = 0; var4 < this.anInt9550; ++var4) {
            int var5 = var4 * this.anInt9551;
            int var6 = this.anInt9549 + (var4 + this.anInt9553) * var2;

            for(int var7 = 0; var7 < this.anInt9551; ++var7) {
               var3[var6++] = this.anIntArray9555[var5];
               ++var5;
            }
         }

         return var3;
      } else {
         return this.anIntArray9555;
      }
   }

   public void method1712(int var1, int var2, int var3) {
      for(int var4 = 1; var4 < this.anIntArray9555.length; ++var4) {
         int var5 = this.anIntArray9555[var4] >> 16 & 255;
         var5 += var1;
         if(var5 < 0) {
            var5 = 0;
         } else if(var5 > 255) {
            var5 = 255;
         }

         int var6 = this.anIntArray9555[var4] >> 8 & 255;
         var6 += var2;
         if(var6 < 0) {
            var6 = 0;
         } else if(var6 > 255) {
            var6 = 255;
         }

         int var7 = this.anIntArray9555[var4] >> 0 & 255;
         var7 += var3;
         if(var7 < 0) {
            var7 = 0;
         } else if(var7 > 255) {
            var7 = 255;
         }

         this.anIntArray9555[var4] = this.anIntArray9555[var4] & -16777216 | var5 << 16 | var6 << 8 | var7;
      }

   }

   public int method1713() {
      return this.anInt9551;
   }

   public int method1748(int var1, int var2) {
      return this.anIntArray9555[var1 + var2 * this.anInt9551];
   }

   public int method1749() {
      return this.anInt9551 + this.anInt9549 + this.anInt9552;
   }

   public int method1737() {
      return this.anInt9551 + this.anInt9549 + this.anInt9552;
   }

   public void method1751() {
      this.anInt9554 = 0;
      this.anInt9553 = 0;
      this.anInt9552 = 0;
      this.anInt9549 = 0;
   }

   public void method1752(int var1) {
      int var2 = 0;
      int[] var3 = new int[this.anInt9551 * this.anInt9550];

      for(int var4 = 0; var4 < this.anInt9550; ++var4) {
         for(int var5 = 0; var5 < this.anInt9551; ++var5) {
            int var6 = this.anIntArray9555[var2];
            if((var6 & -16777216) == 0) {
               if(var5 > 0 && (this.anIntArray9555[var2 - 1] & -16777216) != 0) {
                  var6 = var1;
               } else if(var4 > 0 && (this.anIntArray9555[var2 - this.anInt9551] & -16777216) != 0) {
                  var6 = var1;
               } else if(var5 < this.anInt9551 - 1 && (this.anIntArray9555[var2 + 1] & -16777216) != 0) {
                  var6 = var1;
               } else if(var4 < this.anInt9550 - 1 && (this.anIntArray9555[var2 + this.anInt9551] & -16777216) != 0) {
                  var6 = var1;
               }
            }

            var3[var2++] = var6;
         }
      }

      this.anIntArray9555 = var3;
   }

   public void method1753(int var1) {
      int var2 = 0;
      int[] var3 = new int[this.anInt9551 * this.anInt9550];

      for(int var4 = 0; var4 < this.anInt9550; ++var4) {
         for(int var5 = 0; var5 < this.anInt9551; ++var5) {
            int var6 = this.anIntArray9555[var2];
            if((var6 & -16777216) == 0) {
               if(var5 > 0 && (this.anIntArray9555[var2 - 1] & -16777216) != 0) {
                  var6 = var1;
               } else if(var4 > 0 && (this.anIntArray9555[var2 - this.anInt9551] & -16777216) != 0) {
                  var6 = var1;
               } else if(var5 < this.anInt9551 - 1 && (this.anIntArray9555[var2 + 1] & -16777216) != 0) {
                  var6 = var1;
               } else if(var4 < this.anInt9550 - 1 && (this.anIntArray9555[var2 + this.anInt9551] & -16777216) != 0) {
                  var6 = var1;
               }
            }

            var3[var2++] = var6;
         }
      }

      this.anIntArray9555 = var3;
   }

   public void method1754(int var1) {
      int var2 = 0;
      int[] var3 = new int[this.anInt9551 * this.anInt9550];

      for(int var4 = 0; var4 < this.anInt9550; ++var4) {
         for(int var5 = 0; var5 < this.anInt9551; ++var5) {
            int var6 = this.anIntArray9555[var2];
            if((var6 & -16777216) == 0) {
               if(var5 > 0 && (this.anIntArray9555[var2 - 1] & -16777216) != 0) {
                  var6 = var1;
               } else if(var4 > 0 && (this.anIntArray9555[var2 - this.anInt9551] & -16777216) != 0) {
                  var6 = var1;
               } else if(var5 < this.anInt9551 - 1 && (this.anIntArray9555[var2 + 1] & -16777216) != 0) {
                  var6 = var1;
               } else if(var4 < this.anInt9550 - 1 && (this.anIntArray9555[var2 + this.anInt9551] & -16777216) != 0) {
                  var6 = var1;
               }
            }

            var3[var2++] = var6;
         }
      }

      this.anIntArray9555 = var3;
   }

   public int method1731() {
      return this.anInt9550 + this.anInt9553 + this.anInt9554;
   }

   public int method1730() {
      return this.anInt9554;
   }

   public void method1755(int var1) {
      for(int var2 = this.anInt9550 - 1; var2 > 0; --var2) {
         int var3 = var2 * this.anInt9551;

         for(int var4 = this.anInt9551 - 1; var4 > 0; --var4) {
            if((this.anIntArray9555[var4 + var3] & -16777216) == 0 && (this.anIntArray9555[var4 + var3 - 1 - this.anInt9551] & -16777216) != 0) {
               this.anIntArray9555[var4 + var3] = var1;
            }
         }
      }

   }

   public void method1695() {
      int[] var1 = this.anIntArray9555;

      int var2;
      for(var2 = (this.anInt9550 >> 1) - 1; var2 >= 0; --var2) {
         int var3 = var2 * this.anInt9551;
         int var4 = (this.anInt9550 - var2 - 1) * this.anInt9551;

         for(int var5 = -this.anInt9551; var5 < 0; ++var5) {
            int var6 = var1[var3];
            var1[var3] = var1[var4];
            var1[var4] = var6;
            ++var3;
            ++var4;
         }
      }

      var2 = this.anInt9553;
      this.anInt9553 = this.anInt9554;
      this.anInt9554 = var2;
   }
}
